/google-play-reviews

Returns reviews from any app/book/movie in the Google Play store.

↗ Open in API Explorer
GET

Google Play Reviews

Returns reviews from any app/book/movie in the Google Play store.

Request

Endpoint: GET https://api.outscraper.cloud/google-play-reviews

Parameters

NameInTypeRequiredDescriptionExampleConstraints
query query array<string> Yes You can use app IDs or direct links (e.g., https://play.google.com/store/apps/details?id=com.facebook.katana, com.facebook.katana). It supports batching by sending arrays with up to 1000 queries (e.g., query=text1&query=text2&query=text3). It allows multiple queries to be sent in one request and to save on network latency time. - -
limit query integer No The parameter specifies the limit of reviews to get from one query. - default 100
sort query string enum No Tne parameter specifies one of the sorting types. - default most_relevant, allowed most_relevant, newest, rating
cutoff query integer No The parameter specifies the oldest timestamp value for items. Using the cutoff parameter overwrites sort parameter`. Therefore, the latest records will be at the beginning (newest first). - -
rating query integer No Filter by a specific rating. Works only with sort=rating. - -
language query string enum No The parameter specifies the language to use for website. - default en, allowed en, de, es, es-419, fr, hr, it, nl, …
fields query string No The parameter defines which fields you want to include with each item returned in the response. By default, it returns all fields. Use &fields=query,name to return only the specific ones. - -
async query boolean Yes The parameter defines the way you want to submit your task to Outscraper. It can be set to false to open an HTTP connection and keep it open until you got your results, or true (default) to just submit your requests to Outscraper and retrieve them later (usually within 1-3 minutes) with the Request Results endpoint. Each response is available for 4 hours after a request has been completed. A good practice is to send async requests and start checking the results after the estimated execution time. Check out this Python implementation as an example. As most of the requests take some time to be executed the async=true option is preferred to avoid HTTP requests timeouts. - default true
ui query boolean No The parameter defines whether a task will be executed as a UI task. This is commonly used when you want to create a regular platform task with API. Using this parameter overwrites the async parameter to true. - default false
format query array<string enum> No The parameter defines the format of the output data. Using this parameter overwrites the ui parameter to true. - -
webhook query string No The parameter defines the URL address (callback) to which Outscraper will create a POST request with a JSON body once a task/request is finished. Using this parameter overwrites the webhook from integrations. - -

Responses

200

application/json

The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.

{
  "id": "your-request-id",
  "status": "Success",
  "data": [
    [
      {
        "author_title": "Isaac Bargamian",
        "author_id": "117932306222696996314",
        "author_image": "https://play-lh.googleusercontent.com/a/AATXAJzkP52tB-ljIK6axq4aLKNMOQiGM6C40kvaQd2Q=mo",
        "review_text": "It's so buggy. I use my phone to take pictures and then would like to be able make posts from my phone without having to upload them to my computer, but the app just struggles so much for the most basic functions. Sometimes it doesn't save/deletes what I've posted. For the size of Facebook and the resources at its disposal, you'd think they'd have a functional app.",
        "review_rating": 1,
        "review_likes": 254,
        "version": "324.0.0.48.120",
        "review_timestamp": 1625058524,
        "review_datetime_utc": "06/30/2021 13:08:44",
        "owner_answer": null,
        "owner_answer_timestamp": null,
        "owner_answer_timestamp_datetime_utc": null
      },
      {
        "author_title": "Bree Zocaro",
        "author_id": "113889750225711416824",
        "author_image": "https://play-lh.googleusercontent.com/a-/AOh14GiU7Mey6KWirY2EV0Lmn0qHXA96AWDhbnNWM2Ni",
        "review_text": "Considering I have been trying to log in for a week with no further progress, the fact this large corporation cannot even fix a few minor glitches like sending a code via text message. It's just a little ridiculous, not even an email to consult this issue privately, Just a bunch of generic emails I don't need that aren't helping.",
        "review_rating": 1,
        "review_likes": 786,
        "version": "324.0.0.48.120",
        "review_timestamp": 1625123788,
        "review_datetime_utc": "07/01/2021 07:16:28",
        "owner_answer": null,
        "owner_answer_timestamp": null,
        "owner_answer_timestamp_datetime_utc": null
      },
      {
        "author_title": "Dylan",
        "author_id": "114890948499114358541",
        "author_image": "https://play-lh.googleusercontent.com/a/AATXAJyJPkoL3gyIx3Fj5KJ2fvIhZCWNqw0lDl3zhQiu=mo",
        "review_text": "This app might as well be called Virtual Pocket Billboard. Whenever I wanna just look at ads, and nothing posted by anyone that I actually follow, I crack open some Facebook. Facebook used to be a really great tool for a lot of purposes such as promoting your business, band, art, whatever - or private sales in buy/sell/trade groups. But, like anything good, it only stays good for a short while until they figure out that they can monetize every cog in its system, and put an ad on every pixel.",
        "review_rating": 1,
        "review_likes": 192,
        "version": "324.0.0.48.120",
        "review_timestamp": 1625079208,
        "review_datetime_utc": "06/30/2021 18:53:28",
        "owner_answer": null,
        "owner_answer_timestamp": null,
        "owner_answer_timestamp_datetime_utc": null
      }
    ]
  ]
}

202

application/json

The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.

{
  "id": "your-request-id",
  "status": "Pending",
  "results_location": "https://api.outscraper.cloud/requests/your-request-id"
}

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

402

application/json

Past due invoices or a payment method not connected.

{
  "error": true,
  "errorMessage": "Please close past due invoices or verify your card information is correct."
}

422

application/json

Wrong query url parameters.

{
  "error": true,
  "errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}

Code Samples

cURL

curl -X GET "https://api.outscraper.cloud/google-play-reviews?query=com.facebook.katana&limit=3&async=false" -H  "X-API-KEY: YOUR-API-KEY"

cURL (async)

curl -X GET "https://api.outscraper.cloud/google-play-reviews?query=com.facebook.katana&limit=3" -H  "X-API-KEY: YOUR-API-KEY"

Python

from outscraper import OutscraperClient

api_client = OutscraperClient(api_key='YOUR-API-KEY')
results = api_client.google_play_reviews('com.facebook.katana', reviewsLimit=3)

Related Endpoints